# Barry::Pipe Class Reference

`#include <pipe.h>`

Collaboration diagram for Barry::Pipe:

[legend]

List of all members.

## Detailed Description

Reads data from a builder and feeds it into a parser.

Definition at line 36 of file pipe.h.

## Public Member Functions

const Builder & | GetBuilder () const
| Access the builder.
bool | PumpEntry (Parser &parser, const IConverter *ic=0)
| Reads one item from the builder and feeds it into the parser and returns the builder Retrieve status.
void | PumpSeries (Parser &parser, const IConverter *ic=0)
| Reads all items from builder, feeding them into the parser, until the builder's Retrieve() signals the end of the series.
void | PumpFile (Parser &parser, const IConverter *ic=0)
| Reads all series from the builder, feeding them into the parser, until the builder's EndOfFile() is true.

## Member Function Documentation

const Builder& Barry::Pipe::GetBuilder | ( |  | ) | const`[inline]`

Access the builder.

.. mostly useful for finding out the database name for the next series, if using multiple parser objects.

Definition at line 49 of file pipe.h.

bool Barry::Pipe::PumpEntry | ( | Parser & | parser,
|  | const IConverter * | ic = `0` |
| ) |  |  |

Reads one item from the builder and feeds it into the parser and returns the builder Retrieve status.

Definition at line 35 of file pipe.cc.

References Barry::Builder::FetchRecord(), and Barry::Parser::ParseRecord().

Referenced by PumpSeries().

Here is the call graph for this function:

Here is the caller graph for this function:

void Barry::Pipe::PumpSeries | ( | Parser & | parser,
|  | const IConverter * | ic = `0` |
| ) |  |  |

Reads all items from builder, feeding them into the parser, until the builder's Retrieve() signals the end of the series.

Reads all items from builder, feeding them into the parser, until the builder's Retrieve() signals the end of the series.

Definition at line 48 of file pipe.cc.

References PumpEntry().

Referenced by PumpFile().

Here is the call graph for this function:

Here is the caller graph for this function:

void Barry::Pipe::PumpFile | ( | Parser & | parser,
|  | const IConverter * | ic = `0` |
| ) |  |  |

Reads all series from the builder, feeding them into the parser, until the builder's EndOfFile() is true.

Reads all series from the builder, feeding them into the parser, until the builder's EndOfFile() is true.

Definition at line 56 of file pipe.cc.

References Barry::Builder::EndOfFile(), and PumpSeries().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- pipe.h
- pipe.cc